Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch
Class TouchCancelEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.google.gwt.event.dom.client.DomEvent<H>
              com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchEvent<TouchCancelHandler>
                  com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchCancelEvent

All Implemented Interfaces:
  HasNativeEvent

    public class TouchCancelEvent

extends TouchEvent<TouchCancelHandler>

Represents a touch cancel event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent
`DomEvent.Type<H extends EventHandler>`

Constructor Summary
`protected` | `TouchCancelEvent()` Protected constructor.

Method Summary
`protected void` | `dispatch(TouchCancelHandler handler)` Dispatches the event to the handler.
`DomEvent.Type<TouchCancelHandler>` | `getAssociatedType()` Returns the event type associated with touch cancel events.
`static DomEvent.Type<TouchCancelHandler>` | `getType()` Returns the event type associated with touch cancel events.
`static void` | `sinkTouchCancelEvents(UIObject widget)` Sinks touch cancel events for the specified `UIObject`.
`static void` | `unsinkTouchCancelEvents(UIObject widget)` Stops sinking touch cancel events for the specified `UIObject`.

Methods inherited from class com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchEvent
`getChangedTouches, getNativeTouchEvent, getTargetCoordinates, getTargetTouches, getTouches, sinkAllTouchEvents, unsinkAllTouchEvents`

Methods inherited from class com.google.gwt.event.dom.client.DomEvent
`fireNativeEvent, fireNativeEvent, getNativeEvent, getRelativeElement, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TouchCancelEvent

    protected TouchCancelEvent()

  Protected constructor.

Method Detail

### getType

    public static DomEvent.Type<TouchCancelHandler> getType()

  Returns the event type associated with touch cancel events.

### getAssociatedType

    public DomEvent.Type<TouchCancelHandler> getAssociatedType()

  Returns the event type associated with touch cancel events.

  Overrides:
    `getAssociatedType` in class `DomEvent<TouchCancelHandler>`

### dispatch

    protected void dispatch(TouchCancelHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<TouchCancelHandler>`

### sinkTouchCancelEvents

    public static void sinkTouchCancelEvents(UIObject widget)

  Sinks touch cancel events for the specified `UIObject`.

### unsinkTouchCancelEvents

    public static void unsinkTouchCancelEvents(UIObject widget)

  Stops sinking touch cancel events for the specified `UIObject`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD